### Function Macro

# Soup CHECK_VERSION

since: 3.0

#### Declaration [src]

    #define SOUP_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

Macro to test the version of libsoup being compiled against.

Returns `TRUE` if the version of the libsoup header files is the same as or newer than the passed-in version.

Available since: 3.0

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  Major version (e.g. 2 for version 2.42.0)

`minor`

  Type: `-`

  Minor version (e.g. 42 for version 2.42.0)

`micro`

  Type: `-`

  Micro version (e.g. 0 for version 2.42.0)